import { HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { BehaviorSubject } from 'rxjs';
import { BbAuthConfig } from './auth.interfaces';
import { Router } from '@angular/router';
import { BbAuth } from './auth.service';
export declare class BbAuthInterceptor implements HttpInterceptor {
    private _auth;
    private _router;
    private _config;
    isRefreshing: boolean;
    token$: BehaviorSubject<string>;
    constructor(_auth: BbAuth, _router: Router, _config: BbAuthConfig);
    intercept(request: HttpRequest<any>, next: HttpHandler): import("rxjs").Observable<import("@angular/common/http").HttpEvent<any>>;
    private handle401Error;
    private logoutUser;
    private getToken;
    private composeRequest;
}
