import { TemplateRef } from '@angular/core';
import { IsRequired, IsRequiredConstructor } from '../../core/mixins/is-required';
import { CanDisable, CanDisableConstructor } from '../../core/mixins/can-disable';
import { IsReadonly, IsReadonlyConstructor } from '../../core/mixins/is-readonly';
import { IsGrouped, IsGroupedConstructor } from '../../core/mixins/is-grouped';
import { IsFocused, IsFocusedConstructor } from '../../core/mixins/is-focused';
declare class BbFormControlBase {
}
declare const BbFormControlMixinBase: IsRequiredConstructor & IsGroupedConstructor & IsFocusedConstructor & IsReadonlyConstructor & CanDisableConstructor & typeof BbFormControlBase;
export declare class BbFormControl extends BbFormControlMixinBase implements IsRequired, IsFocused, IsReadonly, IsGrouped, CanDisable {
    label: string | TemplateRef<any> | null;
    hint: string | TemplateRef<any> | null;
    labelId: string;
}
export {};
