import { BbNotification, BbNotificationsData, BbNotificationsPosition } from '../notifications.interfaces';
import { Observable } from 'rxjs';
export declare class BbNotificationsList {
    data: BbNotificationsData;
    dismissText: string | null;
    position: BbNotificationsPosition | null;
    notifications$: Observable<BbNotification[]>;
    trackByFn: (_: any, item: BbNotification) => string;
    constructor(data: BbNotificationsData);
    readonly horizontalPosition: string;
    readonly verticalPosition: string;
    readonly animation: {
        to: number;
    };
    private readonly location;
}
